Package io.vertx.ext.shell.term

## Class TelnetTermOptions

- java.lang.Object
- - io.vertx.core.net.NetworkOptions
  - - io.vertx.core.net.TCPSSLOptions
    - - io.vertx.core.net.NetServerOptions
      - - io.vertx.ext.shell.term.TelnetTermOptions

-     public class TelnetTermOptions
      extends NetServerOptions

  Telnet terminal options configuration, extends `NetServerOptions`.
  Author:
    Julien Viet

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static String` | `DEFAULT_CHARSET` |
    `static boolean` | `DEFAULT_IN_BINARY` |
    `static String` | `DEFAULT_INPUTRC` |
    `static boolean` | `DEFAULT_OUT_BINARY` |

    - ### Fields inherited from class io.vertx.core.net.NetServerOptions

      `DEFAULT_ACCEPT_BACKLOG, DEFAULT_HOST, DEFAULT_PORT, DEFAULT_PROXY_PROTOCOL_TIMEOUT, DEFAULT_PROXY_PROTOCOL_TIMEOUT_TIME_UNIT, DEFAULT_REGISTER_WRITE_HANDLER, DEFAULT_USE_PROXY_PROTOCOL`

    - ### Fields inherited from class io.vertx.core.net.TCPSSLOptions

      `DEFAULT_IDLE_TIMEOUT, DEFAULT_IDLE_TIMEOUT_TIME_UNIT, DEFAULT_READ_IDLE_TIMEOUT, DEFAULT_SO_LINGER, DEFAULT_SSL, DEFAULT_SSL_ENGINE, DEFAULT_TCP_CORK, DEFAULT_TCP_FAST_OPEN, DEFAULT_TCP_KEEP_ALIVE, DEFAULT_TCP_NO_DELAY, DEFAULT_TCP_QUICKACK, DEFAULT_TCP_USER_TIMEOUT, DEFAULT_WRITE_IDLE_TIMEOUT`

    - ### Fields inherited from class io.vertx.core.net.NetworkOptions

      `DEFAULT_LOG_ACTIVITY_FORMAT, DEFAULT_LOG_ENABLED, DEFAULT_RECEIVE_BUFFER_SIZE, DEFAULT_REUSE_ADDRESS, DEFAULT_REUSE_PORT, DEFAULT_SEND_BUFFER_SIZE, DEFAULT_TRAFFIC_CLASS`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TelnetTermOptions()` |
    `TelnetTermOptions​(JsonObject json)` |
    `TelnetTermOptions​(TelnetTermOptions other)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `TelnetTermOptions` | `addCrlPath​(String crlPath)` | Add a CRL path
    `TelnetTermOptions` | `addCrlValue​(Buffer crlValue)` | Add a CRL value
    `TelnetTermOptions` | `addEnabledCipherSuite​(String suite)` | Add an enabled cipher suite, appended to the ordered suites.
    `String` | `getCharset()` |
    `boolean` | `getInBinary()` |
    `String` | `getIntputrc()` |
    `boolean` | `getOutBinary()` |
    `TelnetTermOptions` | `setAcceptBacklog​(int acceptBacklog)` | Set the accept back log
    `TelnetTermOptions` | `setCharset​(String charset)` | Set the charset to use when binary mode is active, see `setInBinary(boolean)` and `setOutBinary(boolean)`.
    `TelnetTermOptions` | `setHost​(String host)` | Set the host
    `TelnetTermOptions` | `setIdleTimeout​(int idleTimeout)` | Set the idle timeout, default time unit is seconds.
    `TelnetTermOptions` | `setInBinary​(boolean inBinary)` | Set the telnet connection to negociate binary data format when receiving from the client, the default value is true.
    `TelnetTermOptions` | `setIntputrc​(String intputrc)` | The path of the inputrc config.
    `TelnetTermOptions` | `setOutBinary​(boolean outBinary)` | Set the telnet connection to negociate binary data format when sending to the client, the default value is true.
    `TelnetTermOptions` | `setPort​(int port)` | Set the port
    `TelnetTermOptions` | `setReceiveBufferSize​(int receiveBufferSize)` | Set the TCP receive buffer size
    `TelnetTermOptions` | `setReuseAddress​(boolean reuseAddress)` | Set the value of reuse address
    `TelnetTermOptions` | `setSendBufferSize​(int sendBufferSize)` | Set the TCP send buffer size
    `TelnetTermOptions` | `setSoLinger​(int soLinger)` | Set whether SO_linger keep alive is enabled
    `TelnetTermOptions` | `setSsl​(boolean ssl)` | Set whether SSL/TLS is enabled
    `TelnetTermOptions` | `setTcpKeepAlive​(boolean tcpKeepAlive)` | Set whether TCP keep alive is enabled
    `TelnetTermOptions` | `setTcpNoDelay​(boolean tcpNoDelay)` | Set whether TCP no delay is enabled
    `TelnetTermOptions` | `setTrafficClass​(int trafficClass)` | Set the value of traffic class

    - ### Methods inherited from class io.vertx.core.net.NetServerOptions

      `addEnabledSecureTransportProtocol, copy, getAcceptBacklog, getClientAuth, getHost, getOrCreateSSLOptions, getPort, getProxyProtocolTimeout, getProxyProtocolTimeoutUnit, getSslOptions, getTrafficShapingOptions, isFileRegionEnabled, isRegisterWriteHandler, isSni, isUseProxyProtocol, removeEnabledCipherSuite, removeEnabledSecureTransportProtocol, setActivityLogDataFormat, setClientAuth, setEnabledSecureTransportProtocols, setIdleTimeoutUnit, setKeyCertOptions, setLogActivity, setProxyProtocolTimeout, setProxyProtocolTimeoutUnit, setReadIdleTimeout, setRegisterWriteHandler, setReusePort, setSni, setSslEngineOptions, setSslHandshakeTimeout, setSslHandshakeTimeoutUnit, setTcpCork, setTcpFastOpen, setTcpQuickAck, setTrafficShapingOptions, setTrustOptions, setUseAlpn, setUseProxyProtocol, setWriteIdleTimeout, toJson`

    - ### Methods inherited from class io.vertx.core.net.TCPSSLOptions

      `getCrlPaths, getCrlValues, getEnabledCipherSuites, getEnabledSecureTransportProtocols, getIdleTimeout, getIdleTimeoutUnit, getKeyCertOptions, getReadIdleTimeout, getSoLinger, getSslEngineOptions, getSslHandshakeTimeout, getSslHandshakeTimeoutUnit, getTcpUserTimeout, getTrustOptions, getWriteIdleTimeout, isSsl, isTcpCork, isTcpFastOpen, isTcpKeepAlive, isTcpNoDelay, isTcpQuickAck, isUseAlpn, setTcpUserTimeout`

    - ### Methods inherited from class io.vertx.core.net.NetworkOptions

      `getActivityLogDataFormat, getLogActivity, getReceiveBufferSize, getSendBufferSize, getTrafficClass, isReuseAddress, isReusePort`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DEFAULT_IN_BINARY

          public static final boolean DEFAULT_IN_BINARY

      See Also:
        Constant Field Values

    - #### DEFAULT_OUT_BINARY

          public static final boolean DEFAULT_OUT_BINARY

      See Also:
        Constant Field Values

    - #### DEFAULT_CHARSET

          public static final String DEFAULT_CHARSET

    - #### DEFAULT_INPUTRC

          public static final String DEFAULT_INPUTRC

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### TelnetTermOptions

          public TelnetTermOptions()

    - #### TelnetTermOptions

          public TelnetTermOptions​(TelnetTermOptions other)

    - #### TelnetTermOptions

          public TelnetTermOptions​(JsonObject json)

  - ### Method Detail

    - #### setSendBufferSize

          public TelnetTermOptions setSendBufferSize​(int sendBufferSize)

      Description copied from class: `NetworkOptions`
      Set the TCP send buffer size
      Overrides:
        `setSendBufferSize` in class `NetServerOptions`
      Parameters:
        `sendBufferSize` - the buffers size, in bytes
      Returns:
        a reference to this, so the API can be used fluently

    - #### setReceiveBufferSize

          public TelnetTermOptions setReceiveBufferSize​(int receiveBufferSize)

      Description copied from class: `NetworkOptions`
      Set the TCP receive buffer size
      Overrides:
        `setReceiveBufferSize` in class `NetServerOptions`
      Parameters:
        `receiveBufferSize` - the buffers size, in bytes
      Returns:
        a reference to this, so the API can be used fluently

    - #### setReuseAddress

          public TelnetTermOptions setReuseAddress​(boolean reuseAddress)

      Description copied from class: `NetworkOptions`
      Set the value of reuse address
      Overrides:
        `setReuseAddress` in class `NetServerOptions`
      Parameters:
        `reuseAddress` - the value of reuse address
      Returns:
        a reference to this, so the API can be used fluently

    - #### setTrafficClass

          public TelnetTermOptions setTrafficClass​(int trafficClass)

      Description copied from class: `NetworkOptions`
      Set the value of traffic class
      Overrides:
        `setTrafficClass` in class `NetServerOptions`
      Parameters:
        `trafficClass` - the value of traffic class
      Returns:
        a reference to this, so the API can be used fluently

    - #### setTcpNoDelay

          public TelnetTermOptions setTcpNoDelay​(boolean tcpNoDelay)

      Description copied from class: `TCPSSLOptions`
      Set whether TCP no delay is enabled
      Overrides:
        `setTcpNoDelay` in class `NetServerOptions`
      Parameters:
        `tcpNoDelay` - true if TCP no delay is enabled (Nagle disabled)
      Returns:
        a reference to this, so the API can be used fluently

    - #### setTcpKeepAlive

          public TelnetTermOptions setTcpKeepAlive​(boolean tcpKeepAlive)

      Description copied from class: `TCPSSLOptions`
      Set whether TCP keep alive is enabled
      Overrides:
        `setTcpKeepAlive` in class `NetServerOptions`
      Parameters:
        `tcpKeepAlive` - true if TCP keep alive is enabled
      Returns:
        a reference to this, so the API can be used fluently

    - #### setSoLinger

          public TelnetTermOptions setSoLinger​(int soLinger)

      Description copied from class: `TCPSSLOptions`
      Set whether SO_linger keep alive is enabled
      Overrides:
        `setSoLinger` in class `NetServerOptions`
      Parameters:
        `soLinger` - true if SO_linger is enabled
      Returns:
        a reference to this, so the API can be used fluently

    - #### setIdleTimeout

          public TelnetTermOptions setIdleTimeout​(int idleTimeout)

      Description copied from class: `TCPSSLOptions`
      Set the idle timeout, default time unit is seconds. Zero means don't timeout. This determines if a connection will timeout and be closed if no data is received nor sent within the timeout. If you want change default time unit, use `TCPSSLOptions.setIdleTimeoutUnit(TimeUnit)`
      Overrides:
        `setIdleTimeout` in class `NetServerOptions`
      Parameters:
        `idleTimeout` - the timeout
      Returns:
        a reference to this, so the API can be used fluently

    - #### setSsl

          public TelnetTermOptions setSsl​(boolean ssl)

      Description copied from class: `TCPSSLOptions`
      Set whether SSL/TLS is enabled
      Overrides:
        `setSsl` in class `NetServerOptions`
      Parameters:
        `ssl` - true if enabled
      Returns:
        a reference to this, so the API can be used fluently

    - #### addEnabledCipherSuite

          public TelnetTermOptions addEnabledCipherSuite​(String suite)

      Description copied from class: `TCPSSLOptions`
      Add an enabled cipher suite, appended to the ordered suites.
      Overrides:
        `addEnabledCipherSuite` in class `NetServerOptions`
      Parameters:
        `suite` - the suite
      Returns:
        a reference to this, so the API can be used fluently
      See Also:
        `TCPSSLOptions.getEnabledCipherSuites()`

    - #### addCrlPath

          public TelnetTermOptions addCrlPath​(String crlPath)
                                       throws NullPointerException

      Description copied from class: `TCPSSLOptions`
      Add a CRL path
      Overrides:
        `addCrlPath` in class `NetServerOptions`
      Parameters:
        `crlPath` - the path
      Returns:
        a reference to this, so the API can be used fluently
      Throws:
        `NullPointerException`

    - #### addCrlValue

          public TelnetTermOptions addCrlValue​(Buffer crlValue)
                                        throws NullPointerException

      Description copied from class: `TCPSSLOptions`
      Add a CRL value
      Overrides:
        `addCrlValue` in class `NetServerOptions`
      Parameters:
        `crlValue` - the value
      Returns:
        a reference to this, so the API can be used fluently
      Throws:
        `NullPointerException`

    - #### setAcceptBacklog

          public TelnetTermOptions setAcceptBacklog​(int acceptBacklog)

      Description copied from class: `NetServerOptions`
      Set the accept back log
      Overrides:
        `setAcceptBacklog` in class `NetServerOptions`
      Parameters:
        `acceptBacklog` - accept backlog
      Returns:
        a reference to this, so the API can be used fluently

    - #### setHost

          public TelnetTermOptions setHost​(String host)

      Description copied from class: `NetServerOptions`
      Set the host
      Overrides:
        `setHost` in class `NetServerOptions`
      Parameters:
        `host` - the host
      Returns:
        a reference to this, so the API can be used fluently

    - #### setPort

          public TelnetTermOptions setPort​(int port)

      Description copied from class: `NetServerOptions`
      Set the port
      Overrides:
        `setPort` in class `NetServerOptions`
      Parameters:
        `port` - the port
      Returns:
        a reference to this, so the API can be used fluently

    - #### getOutBinary

          public boolean getOutBinary()

    - #### setOutBinary

          public TelnetTermOptions setOutBinary​(boolean outBinary)

      Set the telnet connection to negociate binary data format when sending to the client, the default value is true. This allows to send data in 8 bit format and thus charset like UTF-8.
      Parameters:
        `outBinary` - the out binary value
      Returns:
        a reference to this, so the API can be used fluently

    - #### getInBinary

          public boolean getInBinary()

    - #### setInBinary

          public TelnetTermOptions setInBinary​(boolean inBinary)

      Set the telnet connection to negociate binary data format when receiving from the client, the default value is true. This allows to send data in 8 bit format and thus charset like UTF-8.
      Parameters:
        `inBinary` - the in binary value
      Returns:
        a reference to this, so the API can be used fluently

    - #### getCharset

          public String getCharset()

    - #### setCharset

          public TelnetTermOptions setCharset​(String charset)

      Set the charset to use when binary mode is active, see `setInBinary(boolean)` and `setOutBinary(boolean)`.
      Parameters:
        `charset` - the charset
      Returns:
        a reference to this, so the API can be used fluently

    - #### getIntputrc

          public String getIntputrc()

      Returns:
        the current path of the inputrc config

    - #### setIntputrc

          public TelnetTermOptions setIntputrc​(String intputrc)

      The path of the inputrc config.
      Parameters:
        `intputrc` - the path of the inputrc config
      Returns:
        a reference to this, so the API can be used fluently